### Method

# EDataServer SourceCredentialsProviderImpl get_provider

since: 3.16

#### Declaration [src]

    _ESourceCredentialsProvider*
    e_source_credentials_provider_impl_get_provider (
      ESourceCredentialsProviderImpl* provider_impl
    )

#### Description [src]

Returns an `ESourceCredentialsProvider` with which the `provider_impl` is associated.

Available since: 3.16

#### Return value

Type: `_ESourceCredentialsProvider*`

An `ESourceCredentialsProvider`.

The returned data is owned by the instance.
The return value can be `NULL`.